Subject: (usr-tc) Static Routing Question

From: Mike Storjohann <[email-masked]>
Date: Tue, 25 Apr 2000 17:38:57 +0000

HELP!!!!
 
I am trying to add a static route to my Hiper ARC that will send all traffic
bound for 10.1.1.9 to 10.1.1.12.  Here is the line I try to type in to the
CLI.
 
add ip route 10.1.1.9/32 gate 10.1.1.12 met 1
 
What I am trying to accomplish is to get the traffic bound for my web server
(10.1.1.9) to go through another box (10.1.1.12) first to monitor the
traffic. I get the following error.

ERROR - Cannot add a static route for a range of addresses that is reachable
from a directly connected network. 
 
The address of the Ethernet port of the HiperARC is 10.1.1.8 and is on the
same subnet (/24) as the other IPs I am trying to route.  
 
Is there a way to get this route to stick?  Is there another way to
accomplish this?  In a Cisco I could use an Access-List, but I see nothing
built into 3Com like that. 
 
Any help would be appreciated.

Mike Storjohann 
Internet Services Administrator 
HunTel.net 
[email-masked] <mailto:[email-masked]>

---

From: Jeff Mcadams <[email-masked]>
Date: Tue, 25 Apr 2000 18:16:18 +0000

Also sprach Mike Storjohann
>I am trying to add a static route to my Hiper ARC that will send all
>traffic bound for 10.1.1.9 to 10.1.1.12.  Here is the line I try to
>type in to the CLI.

>What I am trying to accomplish is to get the traffic bound for my web
>server (10.1.1.9) to go through another box (10.1.1.12) first to
>monitor the traffic. I get the following error.

>ERROR - Cannot add a static route for a range of addresses that is
>reachable from a directly connected network. 
 
Hrmm...I call that a bug.  Looks like if you have a directly connected
route, then it won't let you put in a more specific route...There really
should be nothing special about directly connected routes that prevent
you from putting in more specifics in there.
-- 
Jeff McAdams                            Email: [email-masked]
Head Network Administrator              Voice: (502) 966-3848
IgLou Internet Services                        (800) 436-4456

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.